Bug 135680 - Workspace switcher not giving focus to current workspace
Workspace switcher not giving focus to current workspace
Product: Fedora
Classification: Fedora
Component: libwnck (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Depends On:
  Show dependency treegraph
Reported: 2004-10-14 08:24 EDT by Andrew
Modified: 2014-06-18 05:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-30 10:19:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andrew 2004-10-14 08:24:56 EDT
Description of problem:
Workspace switcher does not give (or rather, display) focus to the
current workspace after unlocking screensaver or clicking on the
current workspace

Version-Release number of selected component (if applicable):

How reproducible:
Every time

Steps to Reproduce:
1. Click on current workspace OR select Lock screen from panel
2. Unlock the screen with password
Actual results:
The current application in the workspace appears to have lost focus

Expected results:
Focus should return to the current app

Additional info:
If you click on the current app in the current workspace in Workspace
Switcher, it loses focus.
Similarly, if you unlock the PC and look at Workspace Switcher, no
workspace is highlighted.

If the application is clicked and dragged from the current workspace,
Workspace Switcher shows the application moving although it appears to
not have focus (the application is not highlighted in Workspace
Switcher).  This can give the impression that GNOME is not responding,
when in fact it is (I got fooled a couple times, until I decided to
experiment with it).
Comment 1 Mark McLoughlin 2005-01-05 10:33:27 EST
Are you still seeing this problem with FC3 final?
Comment 2 Andrew 2005-01-05 11:47:00 EST
Yes.    If you unlock the workstation, no workspace appears to have
focus and the current windows still has no focus unless you click.  If
you click on the currently active workspace (even though you can't see
that it has focus), it loses focus.
Comment 3 Elijah Newren 2006-05-04 20:05:43 EDT
Both of the issues sound like Metacity bugs.  In particular:

Not getting focus after the lockscreen thing sounds an awful lot like

The other half of the bug sounds like

I'm a little confused why either would show up in FC3 final, though, as both of
those fixes were in metacity 2.8.6...
Comment 4 Matthew Miller 2006-07-10 17:45:51 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 5 John Thacker 2006-10-30 10:19:31 EST
Closing per lack of response to previous request for information.  This bug was
originally filed against a much earlier version of Fedora Core, and significant
changes have taken place since the last version for which this bug is confirmed.
 It has remained in NEEDINFO status for quite a long period of time, asking for
confirmation on a more recent (still fully supported) version of Fedora Core.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.